diff mbox series

[1/4] xfs/019: reduce _fail calls in test

Message ID 173992588668.4079248.2147316255223418497.stgit@frogsfrogsfrogs (mailing list archive)
State New
Headers show
Series [1/4] xfs/019: reduce _fail calls in test | expand

Commit Message

Darrick J. Wong Feb. 19, 2025, 12:56 a.m. UTC
From: Darrick J. Wong <djwong@kernel.org>

Replace some _fail calls in this test with softer variants: First,
_scratch_mount does _try_scratch_mount || _fail so it can go away.

Replace the rest of them with echoes because that's sufficient to fail
the test without omitting further check.

Signed-off-by: "Darrick J. Wong" <djwong@kernel.org>
---
 tests/xfs/019 |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Comments

Christoph Hellwig Feb. 19, 2025, 6:08 a.m. UTC | #1
Looks good:

Reviewed-by: Christoph Hellwig <hch@lst.de>
diff mbox series

Patch

diff --git a/tests/xfs/019 b/tests/xfs/019
index fdd965aa908f2b..b30116560c7c40 100755
--- a/tests/xfs/019
+++ b/tests/xfs/019
@@ -106,22 +106,21 @@  _verify_fs()
 
 	echo "*** mount FS"
 	_full " mount"
-	_try_scratch_mount >>$seqfull 2>&1 \
-		|| _fail "mount failed"
+	_scratch_mount >>$seqfull 2>&1
 
 	echo "*** verify FS"
 	(cd $SCRATCH_MNT ; find . | LC_COLLATE=POSIX sort \
 		| grep -v ".use_space" \
 		| xargs $here/src/lstat64 | _filter_stat)
 	diff -q $SCRATCH_MNT/bigfile $tempfile.2 \
-		|| _fail "bigfile corrupted"
+		|| echo "bigfile corrupted"
 	diff -q $SCRATCH_MNT/symlink $tempfile.2 \
-		|| _fail "symlink broken"
+		|| echo "symlink broken"
 
 	echo "*** unmount FS"
 	_full "umount"
 	_scratch_unmount >>$seqfull 2>&1 \
-		|| _fail "umount failed"
+		|| echo "umount failed"
 }
 
 #_verify_fs 1